package cn.com.countrygarden.bi.main.dto.districtReport;

import cn.com.countrygarden.bi.main.model.districtReport.RdNewProject;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

public class RdNewProjectDTO extends RdNewProject {

    private String regionCode;

    private String regionName;

    private String districtName;

    private List<String> buildingTypeList;

    private List<String> propertyPriceList;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date exhibitionStartDateString;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date startDateString;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date endDateString;

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public List<String> getBuildingTypeList() {
        return buildingTypeList;
    }

    public void setBuildingTypeList(List<String> buildingTypeList) {
        this.buildingTypeList = buildingTypeList;
    }

    public List<String> getPropertyPriceList() {
        return propertyPriceList;
    }

    public void setPropertyPriceList(List<String> propertyPriceList) {
        this.propertyPriceList = propertyPriceList;
    }

    public Date getExhibitionStartDateString() {
        return exhibitionStartDateString;
    }

    public void setExhibitionStartDateString(Date exhibitionStartDateString) {
        this.exhibitionStartDateString = exhibitionStartDateString;
    }

    public Date getStartDateString() {
        return startDateString;
    }

    public void setStartDateString(Date startDateString) {
        this.startDateString = startDateString;
    }

    public Date getEndDateString() {
        return endDateString;
    }

    public void setEndDateString(Date endDateString) {
        this.endDateString = endDateString;
    }
}
